Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #614 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

example/concurrency/fiber_test.d doesn't compile with -w

Reported by: Deewiant Assigned to: sean
Priority: minor Milestone: 0.99.3
Component: Examples Version: 0.99 RC3 Xammy
Keywords: Cc:

Description

\example\concurrency>dmd fiber_test.d -unittest -w
warning - fiber_test.d(236): Error: statement is not reachable
fiber_test.d(761): constructor tango.core.Thread.Fiber.this (void(*)(),uint) does not match parameter types (int delegate())
fiber_test.d(761): class tango.core.Thread.Fiber member this is not accessible
fiber_test.d(761): Error: expected 0 arguments, not 1
fiber_test.d(770): constructor tango.core.Thread.Fiber.this (void(*)(),uint) does not match parameter types (int delegate())
fiber_test.d(770): class tango.core.Thread.Fiber member this is not accessible
fiber_test.d(770): Error: expected 0 arguments, not 1
fiber_test.d(779): constructor tango.core.Thread.Thread.this (void(*)(),uint) does not match parameter types (int delegate())
fiber_test.d(779): class tango.core.Thread.Thread member this is not accessible
fiber_test.d(779): Error: expected 0 arguments, not 1
fiber_test.d(785): constructor tango.core.Thread.Thread.this (void(*)(),uint) does not match parameter types (int delegate())
fiber_test.d(785): class tango.core.Thread.Thread member this is not accessible
fiber_test.d(785): Error: expected 0 arguments, not 1

\example\concurrency>_

Change History

09/07/07 09:01:46 changed by larsivi

  • owner changed from larsivi to sean.
  • milestone changed from 1.0 to 0.99.2 RC5.

10/05/07 10:02:43 changed by larsivi

  • milestone changed from 0.99.2 RC5 to 0.99.3 RC6.

11/12/07 19:44:42 changed by sean

  • status changed from new to closed.
  • resolution set to fixed.

Looks like someone already fixed this.